;-----------------------------------------------------------------------------
; This is the simualtor package file for the Danfoss RMT Offline Simulator 
;  -- Needs the software Inno Setup to make the package. 
;  -- Needs to change the version numbers in the file before compile. 
;  -- Last Updated by RVC on Sep 12, 2014  
;-----------------------------------------------------------------------------

#define AppName "Danfoss Controller Simulator G3.109 Beta"
#define AppVersion "G3.109"

[Setup]
AppName={#AppName}
AppVersion={#AppVersion}
; ****** CHANGE the version number here if needed. ******
AppVerName=Danfoss Controller Simulator Version G3.109
AppendDefaultDirName=yes
UsePreviousAppDir=no
; ****** CHANGE the version number here if needed. ******
DefaultDirName={pf}\Danfoss Controller\Simulator\VG03_109
Compression=lzma2
;Add the license file if needed. 
;LicenseFile={#file AddBackslash(SourcePath) + "License.txt"}
SolidCompression=yes
OutputDir=.
WizardSmallImageFile=.\app\sicon.bmp

[Files]
; Installation 
Source: "{src}\app\setwinver.bat"; DestDir: "{app}\app"; Flags: deleteafterinstall external
Source: "{src}\app\setwinlog.bat"; DestDir: "{app}\app"; Flags: deleteafterinstall external
Source: "{src}\app\setaklog.bat";  DestDir: "{app}\app"; Flags: deleteafterinstall external
Source: "app\icon128.bmp";   DestDir: "{app}\app"; Flags: deleteafterinstall 
Source: "app\sicon.bmp";     DestDir: "{app}\app"; Flags: deleteafterinstall 
Source: "{src}\app\*";  DestDir: "{app}\app";   Flags: external
Source: "{src}\html\*"; DestDir: "{app}\html";  Flags: external
Source: "{src}\edf\*";  DestDir: "{app}\edf";   Flags: external

[Run]
; record log file under windows directory
; ****** CHANGE the version number here if needed. ******
Filename: "{app}\app\setwinlog.bat"; Parameters: """{app}"" ""{app}\app\winsim.exe"" winsim.exe ""{win}\CSlog.xml"" G03109 G 03.109"; Flags: skipifdoesntexist runhidden
; ****** CHANGE the version number here if needed. ******
Filename: "{app}\app\setwinlog.bat"; Parameters: """{app}"" ""{app}\app\winsim.exe"" winsim.exe ""{sd}\WINDOWS\CSlog.bak"" G03109 G 03.109"; Flags: skipifdoesntexist runhidden
; ****** CHANGE the version number here if needed. ******
Filename: "{app}\app\setwinver.bat"; Parameters: "winsim.exe G 03.109"; Flags: skipifdoesntexist runhidden
Filename: "{app}\app\setaklog.bat"; Parameters: """{pf}\Danfoss\AK-Software"" ""{win}\CSlog.xml"""; Flags: skipifdoesntexist runhidden
Filename: "{app}\app\setaklog.bat"; Parameters: """{pf}\Danfoss\AK-Software"" ""{sd}\WINDOWS\CSlog.bak"""; Flags: skipifdoesntexist runhidden

[UninstallDelete]
Type: filesandordirs; Name: "{app}"

[Code]
{ The following code is used to generate the image screen during the installation progress screen }
{ this is comment.}
procedure CreateTheWizardPages(ParentForm: TWizardPage);
var
Page: TWizardPage;
BitmapImage: TBitmapImage;
BitmapFileName: String;
begin
 BitmapFileName := ExpandConstant('{tmp}\icon128.bmp');
 ExtractTemporaryFile(ExtractFileName(BitmapFileName));

  BitmapImage := TBitmapImage.Create(Page);
  BitmapImage.AutoSize := True;
  BitmapImage.Left := 0;
  BitmapImage.Top := 80;
  BitmapImage.BackColor := $ffffff;
  BitmapImage.Center := True;
  BitmapImage.Bitmap.LoadFromFile(BitmapFileName);
  BitmapImage.Parent := ParentForm.Surface;
end;

procedure InitializeWizard();
var
  PageInstall: TWizardPage;
  dirresult: Boolean;
  dirstr: String;
begin
  PageInstall := PageFromID(wpInstalling);
    
  dirstr := ExpandConstant('{sd}\WINDOWS');         
  dirresult := DirExists(dirstr);
  if  not dirresult then begin
    dirresult := CreateDir(dirstr);
  end;
  CreateTheWizardPages(PageInstall);
end;


